PART
{
	name = ExplosiveDecoupler_TNT18
	module = Part
	author = Crashtestdummy87

	MODEL
	{
		model = Squad/Parts/Coupling/Assets/Decoupler_1p5
		scale = 1.0, 2.0, 1.0
	}
	rescaleFactor = 1.0

	node_stack_top = 0.0, 0.15, 0.0, 0.0, 1.0, 0.0, 2
	node_stack_bottom = 0.0, -0.15, 0.0, 0.0, -1.0, 0.0, 2

	TechRequired = engineering101
	category = Coupling
	subcategory = 0
	
	entryCost = 3800
	cost = 500
	title = TNT-18 eco Decoupler
	manufacturer = Crash Test Demolabs
	description = Shatters bulkheads into particles so fine they fall under deep-space cosmic cloud regulations rather than local orbital littering laws. By launching this rocket, you aren't leaving space junk. You are actively terraforming a brand new nebula.
	
	attachRules = 1,0,1,1,0
	mass = 0.18
	dragModelType = default
	maximum_drag = 0.2
	minimum_drag = 0.2
	angularDrag = 2
	crashTolerance = 9
	maxTemp = 800
	skinMaxTemp = 2000
	fuelCrossFeed = False
	stageOffset = 1
	childStageOffset = 1
	bulkheadProfiles = size1p5

	MODULE
	{
		name = ModuleDecouple
		ejectionForce = 65
		isOmniDecoupler = false
		explosiveNodeID = top		
	}
	
	MODULE
	{
		name = ModuleDelayedExplosion
		explosionVisualScale = 30
		centerDamage = 7000
		maxDamageRadius = 43
		shrapnelCount = 50
		shrapnelDrag = 0.3
		shrapnelMass = 200
		shrapnelSpeed = 140
		isGreenVisuals = false
	}

	MODULE
	{
		name = ModuleToggleCrossfeed
		crossfeedStatus = false
		toggleEditor = true
		toggleFlight = true
	}

	MODULE
	{
		name = ModuleCargoPart
		packedVolume = 1350
	}

	MODULE
	{
		name = ModulePartVariants
		primaryColor = #ffffff
		secondaryColor = #ffffff
		baseDisplayName = #autoLOC_8007119
		baseThemeName = White
		useMultipleDragCubes = false
		
		VARIANT
		{
			name = YellowAndWhite
			displayName = #autoLOC_8003114
			description = #autoLOC_8003115
			primaryColor = #ffffff
			secondaryColor = #999999
			TEXTURE
			{
				shader=KSP/Bumped Specular
				mainTextureURL = Squad/Parts/Coupling/Assets/Decouplers_whiteYellow
				_BumpMap = Squad/Parts/Coupling/Assets/Decouplers_whiteYellow_N
				_Color  = #ffffff	
				_SpecColor = #c4c4c4
				_Shininess = 0.44
			}
		}
	}
}